import java.util.*;

public class Sample {
  public static <T extends Comparable<T>> 
    void copyAllBut(List<T> from, List<T> to, T exclude) {
    for(var e: from) {
      if(e.compareTo(exclude) != 0) {
        to.add(e);
      }
    }
  }

  public static void main(String[] args) {
    List<Integer> numbers1 = new ArrayList(Arrays.asList(1, 2, 3));
    List<Integer> numbers2 = new ArrayList(Arrays.asList(4, 2, 5));

    copyAllBut(numbers1, numbers2, 2);

    System.out.println(numbers1);
    System.out.println(numbers2);
  }
}
